
QGIS Application - Bug report #13461

Select by expression: recent functions are sorted alphabetically not by "age"

2015-09-30 02:28 AM - Harrissou Santanna

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21508

Description

In previous releases, in Field calculator or in Select by expression dialog, the functions listed under "recent" category were tidied up of the

most recent in the oldest. Now, it seems they are sorted alphabetically which complicates things when you're testing various formulae.

Finding the last used is no more easy.

master fea4ed9

Associated revisions

Revision 74110bbb - 2015-10-05 12:46 PM - Nyall Dawson

Maintain order of recent expressions (fix #13461)

History

#1 - 2015-10-05 03:18 AM - Jürgen Fischer

- Category set to GUI

#2 - 2015-10-05 03:38 AM - Nyall Dawson

- Assignee set to Nyall Dawson

#3 - 2015-10-05 03:59 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"74110bbbc7eef1d3cce3b04488a05caa473cb97d".
